(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     58547,       1167]
NotebookOptionsPosition[     58118,       1147]
NotebookOutlinePosition[     58515,       1165]
CellTagsIndexPosition[     58472,       1162]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Problem", " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "=", "1"}], ";", 
    RowBox[{"b", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"2", "Pi", " ", "x"}], "]"}], 
      RowBox[{"Sin", "[", 
       RowBox[{"2", "Pi", " ", "y"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", 
         RowBox[{"2", ",", "0"}], "]"}], "[", "u", "]"}], "[", 
       RowBox[{"x", ",", "y"}], "]"}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", 
         RowBox[{"0", ",", "2"}], "]"}], "[", "u", "]"}], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Solution", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"u", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"g", "[", 
      RowBox[{"x", ",", "y"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Discretization", " ", "Parameters"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"k", "=", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{
      RowBox[{"2", "^", "k"}], "-", "1"}]}], ";", 
    RowBox[{"dx", "=", 
     RowBox[{"a", "/", 
      RowBox[{"(", 
       RowBox[{"m", "+", "1"}], ")"}]}]}], ";", 
    RowBox[{"\[Alpha]", "=", 
     RowBox[{"dx", "^", 
      RowBox[{"-", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", 
     RowBox[{
      RowBox[{"2", "^", "k"}], "-", "1"}]}], ";", 
    RowBox[{"dy", "=", 
     RowBox[{"b", "/", 
      RowBox[{"(", 
       RowBox[{"n", "+", "1"}], ")"}]}]}], ";", 
    RowBox[{"\[Beta]", "=", 
     RowBox[{"dy", "^", 
      RowBox[{"-", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t0", "=", 
     RowBox[{"TimeUsed", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"F", ",", " ", "Cx", ",", " ", "Cy", ",", " ", "B"}], " ", "*)"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"F", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"i", " ", "dx"}], ",", 
         RowBox[{"j", " ", "dy"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cx", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Cx", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", 
        RowBox[{"1", ";;", "n"}]}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"0", ",", 
         RowBox[{"j", " ", "dy"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Cx", "[", 
      RowBox[{"[", 
       RowBox[{"m", ",", 
        RowBox[{"1", ";;", "n"}]}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"a", ",", 
         RowBox[{"j", " ", "dy"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cy", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Cy", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"1", ";;", "m"}], ",", "1"}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{
         RowBox[{"i", " ", "dx"}], ",", "0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Cy", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"1", ";;", "m"}], ",", "n"}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{
         RowBox[{"i", " ", "dx"}], ",", "b"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B", "=", 
     RowBox[{"F", "-", 
      RowBox[{"\[Alpha]", " ", "Cx"}], "-", 
      RowBox[{"\[Beta]", " ", "Cy"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "A", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{"FourierDST", "[", 
      RowBox[{"B", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "V", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dm", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{"l", " ", 
           RowBox[{"Pi", "/", 
            RowBox[{"(", 
             RowBox[{"2", 
              RowBox[{"(", 
               RowBox[{"m", "+", "1"}], ")"}]}], ")"}]}]}], "]"}], "^", 
         "2"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"l", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dn", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{"l", " ", 
           RowBox[{"Pi", "/", 
            RowBox[{"(", 
             RowBox[{"2", 
              RowBox[{"(", 
               RowBox[{"n", "+", "1"}], ")"}]}], ")"}]}]}], "]"}], "^", 
         "2"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"l", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"V", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"A", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "j"}], "]"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"dm", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "+", 
          RowBox[{"\[Beta]", " ", 
           RowBox[{"dn", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}]}], ")"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"U", " ", "Solution"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U", "=", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"m", "+", "2"}], ",", 
         RowBox[{"n", "+", "2"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"1", ";;", 
         RowBox[{"m", "+", "2"}]}], ",", "1"}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{
         RowBox[{"i", " ", "dx"}], ",", "0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"1", ";;", 
         RowBox[{"m", "+", "2"}]}], ",", 
        RowBox[{"n", "+", "2"}]}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{
         RowBox[{"i", " ", "dx"}], ",", "b"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", 
        RowBox[{"1", ";;", 
         RowBox[{"n", "+", "2"}]}]}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"0", ",", 
         RowBox[{"j", " ", "dy"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", 
         RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"m", "+", "2"}], ",", 
        RowBox[{"1", ";;", 
         RowBox[{"n", "+", "2"}]}]}], "]"}], "]"}], "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"a", ",", 
         RowBox[{"j", " ", "dy"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", 
         RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"2", ";;", 
         RowBox[{"m", "+", "1"}]}], ",", 
        RowBox[{"2", ";;", 
         RowBox[{"n", "+", "1"}]}]}], "]"}], "]"}], "=", 
     RowBox[{"FourierDST", "[", 
      RowBox[{"V", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"true", " ", "U", " ", "and", " ", "Error"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Utrue", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"u", "[", 
        RowBox[{
         RowBox[{"i", " ", "dx"}], ",", 
         RowBox[{"j", " ", "dy"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"m", "+", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", 
         RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ek", "=", 
     RowBox[{"Max", "[", 
      RowBox[{"Abs", "[", 
       RowBox[{"U", "-", "Utrue"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Print", " ", "Out"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tk", "=", 
     RowBox[{
      RowBox[{"TimeUsed", "[", "]"}], "-", "t0"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<{m,n} =\>\"", ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "n"}], "}"}], ",", "\"\<  Maxmum Error=\>\"", ",", 
      "Ek", ",", "\"\<  Used time=\>\"", ",", "Tk", ",", "\"\< sec\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Figure", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"stepi", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"m", "+", "1"}], ")"}], "/", 
      RowBox[{"Min", "[", 
       RowBox[{
        RowBox[{"m", "+", "1"}], ",", "64"}], "]"}]}]}], ";", 
    RowBox[{"stepj", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"n", "+", "1"}], ")"}], "/", 
      RowBox[{"Min", "[", 
       RowBox[{
        RowBox[{"n", "+", "1"}], ",", "64"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Uc", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"i", " ", "dx"}], ",", " ", 
         RowBox[{"j", " ", "dy"}], ",", " ", 
         RowBox[{"U", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"m", "+", "2"}], ",", "stepi"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"n", "+", "2"}], ",", "stepj"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot3D", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"Uc", ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ViewPoint", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.9`"}], ",", 
        RowBox[{"-", "1.4`"}], ",", "1.`"}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "\[IndentingNewLine]", "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.4571161228309927`*^9, 3.45711658092546*^9}, {
   3.457116643740697*^9, 3.457116647044731*^9}, {3.4571167359342747`*^9, 
   3.4571168425731688`*^9}, {3.457116898992605*^9, 3.457116905839703*^9}, {
   3.4571170049254513`*^9, 3.457117005213105*^9}, {3.4571170577941523`*^9, 
   3.457117080778618*^9}, {3.4571171989971447`*^9, 3.4571172100379763`*^9}, {
   3.457117292854788*^9, 3.45711736361474*^9}, {3.457117481196705*^9, 
   3.457117542729912*^9}, {3.457117604867258*^9, 3.45711760581217*^9}, {
   3.457117647771891*^9, 3.457117665706962*^9}, {3.4571176978067703`*^9, 
   3.4571177589117527`*^9}, 3.457130594238474*^9, 3.4571306304225693`*^9, {
   3.457139077176691*^9, 3.4571391422406397`*^9}, {3.457139285280243*^9, 
   3.4571393142379*^9}, {3.488435627670546*^9, 3.488435667808169*^9}, {
   3.488448055956901*^9, 3.488448094216811*^9}, {3.488448146942853*^9, 
   3.488448260109527*^9}, {3.4884483558236628`*^9, 3.48844844916785*^9}, {
   3.488448516595356*^9, 3.488448540371441*^9}, {3.488448791558185*^9, 
   3.488448798836*^9}, 3.488448856935955*^9, {3.488448897255262*^9, 
   3.48844895110233*^9}, {3.4884491013980618`*^9, 3.488449101588757*^9}, 
   3.488465854932661*^9, {3.488466132708262*^9, 3.488466163522032*^9}, {
   3.488466197147863*^9, 3.488466272998097*^9}, {3.488466334116975*^9, 
   3.488466362088722*^9}, {3.4884663939186707`*^9, 3.488466397747993*^9}, {
   3.4884664684185658`*^9, 3.4884664990383883`*^9}, {3.4884665842100163`*^9, 
   3.48846658950294*^9}, {3.488466724365748*^9, 3.488466796465152*^9}, {
   3.488466888253319*^9, 3.48846691513695*^9}, 3.488467099100968*^9, {
   3.488467425215186*^9, 3.488467442988488*^9}, 3.4884674829504538`*^9, {
   3.488467538948223*^9, 3.488467555960659*^9}, {3.488467630846387*^9, 
   3.48846763336209*^9}, {3.4884677041493607`*^9, 3.488468085670558*^9}, {
   3.488468118972974*^9, 3.488468142502371*^9}, {3.488468177217545*^9, 
   3.488468187815997*^9}, {3.488468262492649*^9, 3.488468274533923*^9}, {
   3.488468469296871*^9, 3.4884684977890377`*^9}, {3.488468572091776*^9, 
   3.4884685754484377`*^9}, {3.488468663010524*^9, 3.4884689504386263`*^9}, {
   3.488468982258245*^9, 3.488469020202415*^9}, {3.4884691068939734`*^9, 
   3.488469394846126*^9}, {3.488469430002047*^9, 3.488469483461165*^9}, 
   3.488469540003613*^9, {3.48846987839685*^9, 3.4884698854175243`*^9}, {
   3.4884699246539173`*^9, 3.488469928416544*^9}, {3.48846996264084*^9, 
   3.4884699813418627`*^9}, {3.4884701097402897`*^9, 3.488470134588869*^9}, {
   3.488471172426196*^9, 3.488471348147325*^9}, {3.488526346762725*^9, 
   3.48852641217089*^9}, {3.488526443762718*^9, 3.488526642151127*^9}, {
   3.488526679984026*^9, 3.488526680329269*^9}, {3.488526722546185*^9, 
   3.488526879692252*^9}, {3.488552306273871*^9, 3.488552310533029*^9}, 
   3.48855239576853*^9, {3.488552439091448*^9, 3.488552469583892*^9}, {
   3.488552510225917*^9, 3.488552560811103*^9}, {3.4885526767924957`*^9, 
   3.4885527060139*^9}, {3.488552746784823*^9, 3.488552831733019*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"{m,n} =\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"31", ",", "31"}], "}"}], 
   "\[InvisibleSpace]", "\<\"  Maxmum Error=\"\>", "\[InvisibleSpace]", 
   "0.003218964440079519`", "\[InvisibleSpace]", "\<\"  Used time=\"\>", 
   "\[InvisibleSpace]", "0.21961800000000054`", 
   "\[InvisibleSpace]", "\<\" sec\"\>"}],
  SequenceForm[
  "{m,n} =", {31, 31}, "  Maxmum Error=", 0.003218964440079519, 
   "  Used time=", 0.21961800000000054`, " sec"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.4571165429033127`*^9, 3.457116547159616*^9}, 
   3.45711658268226*^9, 3.457116648102406*^9, 3.457116808024334*^9, 
   3.4571168498082848`*^9, 3.457116906763604*^9, 3.4571170061464376`*^9, {
   3.457117068073501*^9, 3.457117081400041*^9}, 3.457117210920282*^9, 
   3.457117240994803*^9, {3.457117308267569*^9, 3.457117363897493*^9}, {
   3.457117486588367*^9, 3.457117544591815*^9}, 3.4571176073229923`*^9, {
   3.457117649431282*^9, 3.4571176668842688`*^9}, {3.457117700286028*^9, 
   3.457117727999651*^9}, 3.4571177596281424`*^9, {3.4571391085187597`*^9, 
   3.457139142936635*^9}, {3.4571392869192266`*^9, 3.457139315110197*^9}, 
   3.488435537363275*^9, 3.488435668854724*^9, 3.4884480970914583`*^9, {
   3.488448214615375*^9, 3.4884482429677877`*^9}, 3.488448275390682*^9, 
   3.488448465369074*^9, 3.488448779187913*^9, 3.488448814569605*^9, 
   3.488448857542819*^9, {3.488448897465619*^9, 3.48844892218532*^9}, 
   3.488449010433567*^9, 3.4884493751110287`*^9, 3.488465861964262*^9, 
   3.488466243743887*^9, 3.488466274510385*^9, {3.488466338990075*^9, 
   3.488466362603981*^9}, 3.488466400202649*^9, 3.488466488406013*^9, 
   3.488466590070757*^9, {3.4884667299994698`*^9, 3.4884667843040953`*^9}, {
   3.488466888600047*^9, 3.488466915757462*^9}, 3.488467099388523*^9, 
   3.4884673736485023`*^9, 3.488467444006216*^9, 3.488467484248952*^9, {
   3.488467543650281*^9, 3.488467556237576*^9}, 3.4884678879350767`*^9, 
   3.488468091971815*^9, 3.488468144475741*^9, {3.488468178166811*^9, 
   3.488468188102766*^9}, 3.488468274948599*^9, {3.488468555326846*^9, 
   3.4884685773574142`*^9}, 3.488468900982092*^9, 3.488468951276537*^9, 
   3.48846898844692*^9, 3.48846902133607*^9, 3.4884692984624453`*^9, 
   3.488469396256466*^9, 3.488469434090219*^9, {3.488469467465755*^9, 
   3.488469485233943*^9}, 3.488469541163158*^9, 3.488469888226698*^9, 
   3.488469929847148*^9, {3.4884701120893393`*^9, 3.488470134873206*^9}, 
   3.488471266830028*^9, {3.488471319747826*^9, 3.488471348885068*^9}, 
   3.488526368533848*^9, {3.488526444470332*^9, 3.488526583307748*^9}, 
   3.488526646665514*^9, {3.4885266815083838`*^9, 3.48852669296859*^9}, {
   3.4885267271279078`*^9, 3.488526881248063*^9}, 3.488552312417467*^9, 
   3.488552399217519*^9, 3.4885524408223658`*^9, 3.4885524711496773`*^9, {
   3.488552511540154*^9, 3.488552562387888*^9}, 3.4885526562558613`*^9, {
   3.48855269103533*^9, 3.4885527097158823`*^9}, {3.488552749564292*^9, 
   3.488552835425582*^9}}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx13F/IfFtdx/EfFl1EClodkFQySoJEDRQ6gu3i1IWpQXm66iL6y7mym/DC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   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[Polygon3DBox[CompressedData["
1:eJxNnAW0VlXXhU+8dElIpwiIdHdJKy0gII2kgoS0pNJKC0inpIKA0tJKKggo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        
        "]]]}, {}, {}, {}, {}}, {
     {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0SkwBAAUBuB13/e17t1139Z9n422Gg2NIdAoZmg0GpFGoxFpNBqRRqPx
GcI3L77/fy+8uB5biwsEAjv8zngSSCSJZFJIJY10Msgki2xyyCWPfAoopIhi
SghSShnlVFBJFdWECDPFEruccsvr737hmphhhX3OueedXMGjxNjgkEse+SSo
1CDzbHHMNc98E1J4kgnGGWOUEYYZYpAB+umjlx666SJKJx2000YrLTTTRCMN
1FNHLTVECCf+Hf5FnhtO2GaBIUr50uWJK47YZI4u8vhwiwcuOGCVWZpJ482K
O87YY5lpIv///wEPTiqf
       "]]}, {
      Line3DBox[{3, 36, 69, 102, 135, 168, 201, 234, 267, 300, 333, 366, 399, 
       432, 465, 498, 531, 564, 597, 630, 663, 696, 729, 762, 795, 828, 861, 
       894, 927, 960, 993, 1026, 1059}], 
      Line3DBox[{5, 38, 71, 104, 137, 170, 203, 236, 269, 302, 335, 368, 401, 
       434, 467, 500, 533, 566, 599, 632, 665, 698, 731, 764, 797, 830, 863, 
       896, 929, 962, 995, 1028, 1061}], 
      Line3DBox[{7, 40, 73, 106, 139, 172, 205, 238, 271, 304, 337, 370, 403, 
       436, 469, 502, 535, 568, 601, 634, 667, 700, 733, 766, 799, 832, 865, 
       898, 931, 964, 997, 1030, 1063}], 
      Line3DBox[{9, 42, 75, 108, 141, 174, 207, 240, 273, 306, 339, 372, 405, 
       438, 471, 504, 537, 570, 603, 636, 669, 702, 735, 768, 801, 834, 867, 
       900, 933, 966, 999, 1032, 1065}], 
      Line3DBox[{11, 44, 77, 110, 143, 176, 209, 242, 275, 308, 341, 374, 407,
        440, 473, 506, 539, 572, 605, 638, 671, 704, 737, 770, 803, 836, 869, 
       902, 935, 968, 1001, 1034, 1067}], 
      Line3DBox[{13, 46, 79, 112, 145, 178, 211, 244, 277, 310, 343, 376, 409,
        442, 475, 508, 541, 574, 607, 640, 673, 706, 739, 772, 805, 838, 871, 
       904, 937, 970, 1003, 1036, 1069}], 
      Line3DBox[{15, 48, 81, 114, 147, 180, 213, 246, 279, 312, 345, 378, 411,
        444, 477, 510, 543, 576, 609, 642, 675, 708, 741, 774, 807, 840, 873, 
       906, 939, 972, 1005, 1038, 1071}], 
      Line3DBox[{17, 50, 83, 116, 149, 182, 215, 248, 281, 314, 347, 380, 413,
        446, 479, 512, 545, 578, 611, 644, 677, 710, 743, 776, 809, 842, 875, 
       908, 941, 974, 1007, 1040, 1073}], 
      Line3DBox[{19, 52, 85, 118, 151, 184, 217, 250, 283, 316, 349, 382, 415,
        448, 481, 514, 547, 580, 613, 646, 679, 712, 745, 778, 811, 844, 877, 
       910, 943, 976, 1009, 1042, 1075}], 
      Line3DBox[{21, 54, 87, 120, 153, 186, 219, 252, 285, 318, 351, 384, 417,
        450, 483, 516, 549, 582, 615, 648, 681, 714, 747, 780, 813, 846, 879, 
       912, 945, 978, 1011, 1044, 1077}], 
      Line3DBox[{23, 56, 89, 122, 155, 188, 221, 254, 287, 320, 353, 386, 419,
        452, 485, 518, 551, 584, 617, 650, 683, 716, 749, 782, 815, 848, 881, 
       914, 947, 980, 1013, 1046, 1079}], 
      Line3DBox[{25, 58, 91, 124, 157, 190, 223, 256, 289, 322, 355, 388, 421,
        454, 487, 520, 553, 586, 619, 652, 685, 718, 751, 784, 817, 850, 883, 
       916, 949, 982, 1015, 1048, 1081}], 
      Line3DBox[{27, 60, 93, 126, 159, 192, 225, 258, 291, 324, 357, 390, 423,
        456, 489, 522, 555, 588, 621, 654, 687, 720, 753, 786, 819, 852, 885, 
       918, 951, 984, 1017, 1050, 1083}], 
      Line3DBox[{29, 62, 95, 128, 161, 194, 227, 260, 293, 326, 359, 392, 425,
        458, 491, 524, 557, 590, 623, 656, 689, 722, 755, 788, 821, 854, 887, 
       920, 953, 986, 1019, 1052, 1085}], 
      Line3DBox[{31, 64, 97, 130, 163, 196, 229, 262, 295, 328, 361, 394, 427,
        460, 493, 526, 559, 592, 625, 658, 691, 724, 757, 790, 823, 856, 889, 
       922, 955, 988, 1021, 1054, 1087}]}, {
      Line3DBox[{99, 98, 97, 96, 95, 94, 93, 92, 91, 90, 89, 88, 87, 86, 85, 
       84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 70, 69, 68, 
       67}], Line3DBox[{165, 164, 163, 162, 161, 160, 159, 158, 157, 156, 155,
        154, 153, 152, 151, 150, 149, 148, 147, 146, 145, 144, 143, 142, 141, 
       140, 139, 138, 137, 136, 135, 134, 133}], 
      Line3DBox[{231, 230, 229, 228, 227, 226, 225, 224, 223, 222, 221, 220, 
       219, 218, 217, 216, 215, 214, 213, 212, 211, 210, 209, 208, 207, 206, 
       205, 204, 203, 202, 201, 200, 199}], 
      Line3DBox[{297, 296, 295, 294, 293, 292, 291, 290, 289, 288, 287, 286, 
       285, 284, 283, 282, 281, 280, 279, 278, 277, 276, 275, 274, 273, 272, 
       271, 270, 269, 268, 267, 266, 265}], 
      Line3DBox[{363, 362, 361, 360, 359, 358, 357, 356, 355, 354, 353, 352, 
       351, 350, 349, 348, 347, 346, 345, 344, 343, 342, 341, 340, 339, 338, 
       337, 336, 335, 334, 333, 332, 331}], 
      Line3DBox[{429, 428, 427, 426, 425, 424, 423, 422, 421, 420, 419, 418, 
       417, 416, 415, 414, 413, 412, 411, 410, 409, 408, 407, 406, 405, 404, 
       403, 402, 401, 400, 399, 398, 397}], 
      Line3DBox[{495, 494, 493, 492, 491, 490, 489, 488, 487, 486, 485, 484, 
       483, 482, 481, 480, 479, 478, 477, 476, 475, 474, 473, 472, 471, 470, 
       469, 468, 467, 466, 465, 464, 463}], 
      Line3DBox[{561, 560, 559, 558, 557, 556, 555, 554, 553, 552, 551, 550, 
       549, 548, 547, 546, 545, 544, 543, 542, 541, 540, 539, 538, 537, 536, 
       535, 534, 533, 532, 531, 530, 529}], 
      Line3DBox[{627, 626, 625, 624, 623, 622, 621, 620, 619, 618, 617, 616, 
       615, 614, 613, 612, 611, 610, 609, 608, 607, 606, 605, 604, 603, 602, 
       601, 600, 599, 598, 597, 596, 595}], 
      Line3DBox[{693, 692, 691, 690, 689, 688, 687, 686, 685, 684, 683, 682, 
       681, 680, 679, 678, 677, 676, 675, 674, 673, 672, 671, 670, 669, 668, 
       667, 666, 665, 664, 663, 662, 661}], 
      Line3DBox[{759, 758, 757, 756, 755, 754, 753, 752, 751, 750, 749, 748, 
       747, 746, 745, 744, 743, 742, 741, 740, 739, 738, 737, 736, 735, 734, 
       733, 732, 731, 730, 729, 728, 727}], 
      Line3DBox[{825, 824, 823, 822, 821, 820, 819, 818, 817, 816, 815, 814, 
       813, 812, 811, 810, 809, 808, 807, 806, 805, 804, 803, 802, 801, 800, 
       799, 798, 797, 796, 795, 794, 793}], 
      Line3DBox[{891, 890, 889, 888, 887, 886, 885, 884, 883, 882, 881, 880, 
       879, 878, 877, 876, 875, 874, 873, 872, 871, 870, 869, 868, 867, 866, 
       865, 864, 863, 862, 861, 860, 859}], 
      Line3DBox[{957, 956, 955, 954, 953, 952, 951, 950, 949, 948, 947, 946, 
       945, 944, 943, 942, 941, 940, 939, 938, 937, 936, 935, 934, 933, 932, 
       931, 930, 929, 928, 927, 926, 925}], 
      Line3DBox[{1023, 1022, 1021, 1020, 1019, 1018, 1017, 1016, 1015, 1014, 
       1013, 1012, 1011, 1010, 1009, 1008, 1007, 1006, 1005, 1004, 1003, 1002,
        1001, 1000, 999, 998, 997, 996, 995, 994, 993, 992, 991}]}, {}, {}}},
   VertexNormals->CompressedData["
1:eJyNnXeYTffXt0cvQaJHSyGC6CKVZI3hpwUxeo0yJKJFpGC0iJIIiRYk2ihR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    "]],
  AutomaticImageSize->True,
  Axes->True,
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"y\"", TraditionalForm]},
  BoxRatios->{1, 1, 0.4},
  ImageSize->{364.27976619636877`, 278.3008836866694},
  Method->{"RotationControl" -> "Globe"},
  PlotRange->{All, All, All},
  PlotRangePadding->{Automatic, Automatic, Automatic},
  ViewPoint->{-0.9, -1.4, 1.},
  ViewVertical->{0., 0., 1.}]], "Output",
 CellChangeTimes->{{3.457139110114326*^9, 3.457139142999048*^9}, {
   3.4571392869813957`*^9, 3.457139315155871*^9}, 3.488435537409861*^9, 
   3.4884356689270973`*^9, 3.4884480992065897`*^9, {3.4884482146783648`*^9, 
   3.488448243752309*^9}, 3.48844827827291*^9, 3.4884484660253553`*^9, 
   3.4884487792325907`*^9, 3.488448815289658*^9, 3.4884488577038727`*^9, {
   3.488448897512521*^9, 3.488448922867613*^9}, 3.488449011099847*^9, 
   3.488449375814837*^9, 3.488465866384954*^9, 3.4884662438299227`*^9, 
   3.488466275340719*^9, {3.488466339804517*^9, 3.488466362641691*^9}, 
   3.488466400256351*^9, 3.4884664885057993`*^9, 3.4884665901059837`*^9, {
   3.488466730006632*^9, 3.488466784356853*^9}, {3.488466888651691*^9, 
   3.488466915798346*^9}, 3.4884670994408197`*^9, 3.488467373655026*^9, 
   3.488467444012751*^9, 3.488467484246209*^9, {3.488467543647667*^9, 
   3.488467556209365*^9}, 3.488467887987733*^9, 3.488468092030562*^9, 
   3.4884681445275393`*^9, {3.488468178225068*^9, 3.4884681881576767`*^9}, 
   3.488468275002397*^9, {3.488468555377548*^9, 3.48846857741247*^9}, 
   3.488468901038526*^9, 3.488468951249915*^9, 3.488468988442934*^9, 
   3.488469021332521*^9, 3.4884692985141172`*^9, 3.4884693963166018`*^9, 
   3.488469434144896*^9, {3.488469467518149*^9, 3.488469485370077*^9}, 
   3.488469541744278*^9, 3.4884698888010273`*^9, 3.4884699304177847`*^9, {
   3.488470112137574*^9, 3.488470134923427*^9}, 3.4884712668021507`*^9, {
   3.488471319720277*^9, 3.488471348935214*^9}, 3.488526371235774*^9, {
   3.488526444517445*^9, 3.488526583434073*^9}, 3.488526646795439*^9, {
   3.488526681639348*^9, 3.4885266930995197`*^9}, {3.4885267272591743`*^9, 
   3.488526881824225*^9}, 3.488552315363289*^9, 3.4885523997919283`*^9, 
   3.4885524413915663`*^9, 3.488552471733267*^9, {3.488552512115903*^9, 
   3.488552562966488*^9}, 3.488552656850964*^9, {3.488552691623589*^9, 
   3.4885527103153143`*^9}, {3.488552750159193*^9, 3.488552835561181*^9}}]
}, Open  ]]
},
WindowSize->{646, 891},
WindowMargins->{{Automatic, 368}, {Automatic, 0}},
PrintingCopies->7,
PrintingPageRange->{1, 1},
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) \
(2008\:5e7412\:670810\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 16026, 444, 943, "Input"],
Cell[16596, 468, 3031, 47, 20, "Print"],
Cell[19630, 517, 38472, 627, 293, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
